libname st "C:\Users\eaappleg\Desktop\EPclass\SAS";

PROC IMPORT OUT= work.mlb 
            DATAFILE= "C:\Users\eaappleg\Desktop\EPclass\SAS\mlb2010.xls" 
            DBMS=EXCEL REPLACE;
     RANGE="bat2010$"; 
     GETNAMES=YES;
     MIXED=NO;
     SCANTEXT=YES;
     USEDATE=YES;
     SCANTIME=YES;
RUN;


/* Working with data steps */
data small_data;  
	set st.sample;  
	length education $12;  
	if school = 3 then education = "graduate";
	else if school = 2 then EDUCATION = "undergrad";
	else EdUcAtIoN = "high school";
	format income dollar10.2; 
	today=today(); 
	format today date9.;  
run;
proc print data=small_data; run;

data cubs;
	set mlb;
length team $12;
team = "Chicago Cubs";
if teamid = "CHN";
if R > 0 then scored = 1; else scored = 0;
if AB > 0 then do;
	hit_pct = round(H/AB,.05);
end;
else hit_pct = 0;
namelast = upcase(namelast);
keep namelast age team bats throws AB R H HR SO;
run;



/* Working with PROC steps */
proc print data=work.cubs;
var namelast age bats;
where age > 30;
run;

proc sort data=cubs; 
 by age descending AB; 
run;

proc freq data=mlb;
	tables lg throws bats;
	tables throws*bats / nocum nopercent;
run;

proc means data=mlb n min max mean mode p95; 
class lg;
var age G AB R H HR SO;
run;

proc gplot data=mlb;
plot H*AB / vaxis=0 to 200 by 50 haxis=0 to 600 by 100;
symbol1 color=blue height=1 v=dot width=1;
run;

proc gchart data=mlb;
	pie lg;
run;
quit;

title "Frequencies of Home Runs in 2010 MLB season";
proc gchart data=mlb;
where hr > 0;
vbar hr / discrete;
run; quit;


